<mat-card class="example-card" *ngIf="drink">
    <mat-card-header>
        <mat-card-title>{{ drink?.name }}</mat-card-title>
        <mat-card-subtitle>{{ drinkType == 'beer' ? drink?.brand : drink?.vineyard }}</mat-card-subtitle>
    </mat-card-header>
    <div class="drink-image">
        <img src="../../../assets/mock-images/{{drinkType}}.png"
             alt="drink photo">
    </div>
    <mat-card-content>
        <p><span>Price:</span> {{ drink?.price | currency:'EUR' }}</p>
        <p><span>Year:</span> {{ drink?.year }}</p>
        <ng-container *ngIf="drinkType == 'beer'">
            <p><span>Brand:</span> {{ drink?.brand }}</p>
            <p><span>Type:</span> {{ drink?.type }}</p>
        </ng-container>
        <ng-container *ngIf="drinkType == 'wine'">
            <p><span>Vineyard:</span> {{ drink?.vineyard }}</p>
        </ng-container>
        
    </mat-card-content>
    <mat-card-actions>
        <button mat-button
                (click)="onBackClick()">BACK</button>
    </mat-card-actions>
</mat-card>